Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225774 - Merge Review: ftp
Summary: Merge Review: ftp
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:40 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 07:52:58 UTC
ruben: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:40:29 UTC
Fedora Merge Review: ftp

http://cvs.fedora.redhat.com/viewcvs/devel/ftp/
Initial Owner: mmaslano@redhat.com

Comment 1 Ruben Kerkhof 2007-02-03 16:27:20 UTC
* RPM name is OK
* Source netkit-ftp-0.17.tar.bz2 is the same as upstream
* Builds fine in mock
* File list looks OK

rpmlint is not silent:
Source RPM:
W: ftp summary-ended-with-dot The standard UNIX FTP (File Transfer Protocol) client.
W: ftp no-url-tag
W: ftp hardcoded-path-in-buildroot-tag /var/tmp/%{name}-root

Needs work:
* BuildRoot should be %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
  (wiki: PackagingGuidelines#BuildRoot)
* BuildRequires: gcc should not be included
  (wiki: PackagingGuidelines#Exceptions)
* BuildRequires: perl should not be included
  (wiki: PackagingGuidelines#Exceptions)
* The package should contain the text of the license
  (wiki: Packaging/ReviewGuidelines)
* Your debuginfo package is empty. This is because binaries are installed with install -s
* You're missing the URL tag






Comment 2 Marcela Mašláňová 2007-02-06 08:21:53 UTC
Thanks for review. 
No upstream -> no url tag.

Comment 3 Ruben Kerkhof 2007-02-06 19:34:59 UTC
This looks much better!

A few details:

* Remove the commented out BuildRoot, rpmlint complains about it
* Preserve timestamps when installing files (use install -p or cp -p)



Comment 4 Marcela Mašláňová 2007-02-07 10:45:20 UTC
Ok, I made another changes.

Comment 5 Ruben Kerkhof 2007-02-10 12:00:05 UTC
The upstream tarball for netkit-ftp is a gzipped file, not bzipped. netkit-ftp-0.17 isn't available anymore 
on ftp://ftp.uk.linux.org/pub/linux/Networking/netkit-devel

So you could either update to netkit-ftp-0.18-pre1 or change the Source0 url

Comment 6 Marcela Mašláňová 2007-02-14 10:25:50 UTC
I don't want to add new version to FC-7. It's "only" pre- version. It should
stay in devel some time for testing.

Comment 7 Ruben Kerkhof 2007-02-14 15:32:01 UTC
Ok, then please change the Source0 url to the correct source.

Comment 8 Marcela Mašláňová 2007-02-21 18:43:34 UTC
Now I have

Source0:
ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-ftp-%{version}.tar.gz

Comment 9 Ruben Kerkhof 2007-02-21 22:56:36 UTC
Thanks.

I don't see any further blockers so this package is approved.


Note You need to log in before you can comment on or make changes to this bug.